org.apache.velocity.tools.view

## Class UiDependencyTool.NeedsRule

- java.lang.Object
- - org.apache.commons.digester3.Rule
  - - org.apache.velocity.tools.view.UiDependencyTool.NeedsRule

Enclosing class:
  UiDependencyTool

    protected static class UiDependencyTool.NeedsRule
    extends org.apache.commons.digester3.Rule

NOTE: This class may change or disappear w/o warning; don't depend on it unless you're willing to update your code whenever this changes.

### Constructor Summary

Constructors
`protected` `NeedsRule()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `body(String ns, String el, String otherGroup)`

### Methods inherited from class org.apache.commons.digester3.Rule

`begin, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NeedsRule

    protected NeedsRule()

### Method Detail

#### body

    public void body(String ns,
                     String el,
                     String otherGroup)
              throws Exception

Overrides:
  `body` in class `org.apache.commons.digester3.Rule`
Throws:
  `Exception`